﻿@model List<Cdio447.Models.users>
@using Cdio447.Supports;
@if (Model.Count > 0)
{
    foreach (var item in Model)
    {
        var urlAvatar = @Url.Content("~/Content/assets/img/" + item.avatar);
        <div class="user_header d-flex">
            @{ Html.RenderAction("NotificationHeader", "User"); }
            <div class="dropdown dropleft">
                <a class="dropdown-toggle d-flex" href="#"  data-target="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <div class="img mr-2">
                        <img src="@urlAvatar" />
                    </div>
                    <div class="d-flex flex-column justify-content-center user_header_info">
                        <p class="m-0">@item.user_name</p>
                        <p class="m-0">@FunctionSupport.convertVND((decimal)@item.current_money, " đ")</p>
                    </div>
                </a>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <a href="@Url.Action("Index", "PayIn")" class="dropdown-item">
                        <i class="fa fa-plus" aria-hidden="true"></i> Nạp tiền
                    </a>
                    <a href="@Url.Action("Withdrawl", "Withdrawl")" class="dropdown-item">
                        <i class="fa fa-credit-card" aria-hidden="true"></i> Rút tiền
                    </a>
                    <a href="@Url.Action("Infor_user", "User")" class="dropdown-item">
                        <i class="fa fa-cogs" aria-hidden="true"></i> Quản lý tài khoản
                    </a>
                    <a href="@Url.Action("PlayerInfo", "User")" class="dropdown-item">
                        <i class="fa fa-user-circle-o" aria-hidden="true"></i>
                        Cài đặt thông tin player
                    </a>
                    <a href="@Url.Action("Logout", "Login")" class="dropdown-item">
                        <i class="fa fa-sign-out" aria-hidden="true"></i>
                        Đăng xuất
                    </a>
                </div>
            </div>
        </div>
    }
}
else
{
    <li class="mr-2 h-100 position-relative align-items-center d-flex">
        <a href="@Url.Action("Login", "Login")" class="btn_header align-items-center mr-3 link-login-sm">
            <svg viewBox="0 0 512 512" width="30" height="30">
                <path fill="#e74c3c"
                      d="M32 217.1c0-8.8 7.2-16 16-16h144v-93.9c0-7.1 8.6-10.7 13.6-5.7l141.6 143.1c6.3 6.3 6.3 16.4 0 22.7L205.6 410.4c-5 5-13.6 1.5-13.6-5.7v-93.9H48c-8.8 0-16-7.2-16-16v-77.7m-32 0v77.7c0 26.5 21.5 48 48 48h112v61.9c0 35.5 43 53.5 68.2 28.3l141.7-143c18.8-18.8 18.8-49.2 0-68L228.2 78.9c-25.1-25.1-68.2-7.3-68.2 28.3v61.9H48c-26.5 0-48 21.6-48 48zM512 400V112c0-26.5-21.5-48-48-48H332c-6.6 0-12 5.4-12 12v8c0 6.6 5.4 12 12 12h132c8.8 0 16 7.2 16 16v288c0 8.8-7.2 16-16 16H332c-6.6 0-12 5.4-12 12v8c0 6.6 5.4 12 12 12h132c26.5 0 48-21.5 48-48z">
                </path>
            </svg>
        </a>
        @Html.ActionLink("Đăng nhập", "Login", "Login", null, new { @class = "link-login-lg" })
        <span class="effect_line"></span>
    </li>
    <li class="h-100 position-relative align-items-center d-flex">
        <a href="@Url.Action("", "")" class="align-items-center link-sign-sm">
            <svg viewBox="0 0 512 512" width="30" height="30">
                <path fill="#e74c3c"
                      d="M430.769 312.653l-48.658-13.902C427.833 251.806 432 197.605 432 176 432 78.845 353.262 0 256 0 158.859 0 80 78.724 80 176c0 21.609 4.167 75.806 49.889 122.751l-48.658 13.902C19.49 330.294 0 386.442 0 420.344V448c0 35.29 28.71 64 64 64h384c35.29 0 64-28.71 64-64v-27.656c0-33.198-18.981-89.905-81.231-107.691zM256 32c79.529 0 144 64.471 144 144s-64.471 144-144 144-144-64.471-144-144S176.471 32 256 32zm224 416c0 17.673-14.327 32-32 32H64c-17.673 0-32-14.327-32-32v-27.656c0-35.718 23.678-67.109 58.022-76.922l69.862-19.961C176.969 334.613 210.109 352 256 352c45.897 0 79.038-17.392 96.116-28.538l69.862 19.961C456.322 353.235 480 384.626 480 420.344V448z">
                </path>
            </svg>
        </a>
        @Html.ActionLink("Đăng ký", "", "Register", null, new { @class = "link-sign-lg" })
        <span class="effect_line"></span>
    </li>
}
